commit d7964e85c6de4f084bc12981ebdcdf6d742da3b0
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Dec 7 01:19:42 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 00fc5a3a6ee..47f4b89c615 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251206
+20251207
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 4662ebd3d59..a75f9fa2df7 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,9 @@
+2025-12-06  Iain Sandoe  <iain@sandoe.co.uk>
+
+	PR ada/115305
+	* Makefile.rtl: Use s-oslock__darwin instead of the Posix version.
+	* libgnat/s-oslock__darwin.ads: New file.
+
 2025-11-21  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* repinfo.adb (List_Location): Do not output the final comma.

